# component-styles

## Textbox

| name        | type                                 | description                    |
| ----------- | ------------------------------------ | ------------------------------ |
| `rounded`   | `bool` or `(bool, bool, bool, bool)` | corners of text input          |
| `border`    | `bool` or `(bool, bool, bool, bool)` | borders of text input          |
| `container` | `bool`                               | show or hide the container box |

## Number

| name        | type                                 | description                    |
| ----------- | ------------------------------------ | ------------------------------ |
| `rounded`   | `bool` or `(bool, bool, bool, bool)` | corners of text input          |
| `border`    | `bool` or `(bool, bool, bool, bool)` | borders of text input          |
| `container` | `bool`                               | show or hide the container box |

## Slider

| name        | type   | description                    |
| ----------- | ------ | ------------------------------ |
| `container` | `bool` | show or hide the container box |

## Checkbox

| name        | type                                 | description                    |
| ----------- | ------------------------------------ | ------------------------------ |
| `rounded`   | `bool` or `(bool, bool, bool, bool)` | corners of checkbox            |
| `border`    | `bool` or `(bool, bool, bool, bool)` | borders of checkbox            |
| `container` | `bool`                               | show or hide the container box |

## Checkbox Group

| name             | type                                 | description                               |
| ---------------- | ------------------------------------ | ----------------------------------------- |
| `rounded`        | `bool` or `(bool, bool, bool, bool)` | corners of checkboxes                     |
| `container`      | `bool`                               | show or hide the container box            |
| `item_container` | `bool`                               | show or hide the checkbox container boxes |

## Radio

| name             | type   | description                            |
| ---------------- | ------ | -------------------------------------- |
| `container`      | `bool` | show or hide the container box         |
| `item_container` | `bool` | show or hide the radio container boxes |

## Dropdown

| name        | type                                 | description                    |
| ----------- | ------------------------------------ | ------------------------------ |
| `rounded`   | `bool` or `(bool, bool, bool, bool)` | corners of input               |
| `border`    | `bool` or `(bool, bool, bool, bool)` | borders of input               |
| `container` | `bool`                               | show or hide the container box |

## Image

| name      | type                                 | description         |
| --------- | ------------------------------------ | ------------------- |
| `rounded` | `bool` or `(bool, bool, bool, bool)` | corners of main box |

## Video

| name      | type                                 | description         |
| --------- | ------------------------------------ | ------------------- |
| `rounded` | `bool` or `(bool, bool, bool, bool)` | corners of main box |

## Audio

| name      | type                                 | description         |
| --------- | ------------------------------------ | ------------------- |
| `rounded` | `bool` or `(bool, bool, bool, bool)` | corners of main box |

## File

| name      | type                                 | description         |
| --------- | ------------------------------------ | ------------------- |
| `rounded` | `bool` or `(bool, bool, bool, bool)` | corners of main box |

## Dataframe

| name      | type                                 | description         |
| --------- | ------------------------------------ | ------------------- |
| `rounded` | `bool` or `(bool, bool, bool, bool)` | corners of main box |

## Timeseries

| name      | type                                 | description         |
| --------- | ------------------------------------ | ------------------- |
| `rounded` | `bool` or `(bool, bool, bool, bool)` | corners of main box |

## Label

| name        | type   | description                    |
| ----------- | ------ | ------------------------------ |
| `container` | `bool` | show or hide the container box |

## HighlightedText

| name        | type                                 | description                    |
| ----------- | ------------------------------------ | ------------------------------ |
| `rounded`   | `bool` or `(bool, bool, bool, bool)` | corners of labels              |
| `color_map` | `Dict[str, str]`                     | color map of labels and colors |
| `container` | `bool`                               | show or hide the container box |

## JSON

| name        | type   | description                    |
| ----------- | ------ | ------------------------------ |
| `container` | `bool` | show or hide the container box |

## HTML

Nothing

## Gallery

| name        | type                                      | description                         |
| ----------- | ----------------------------------------- | ----------------------------------- |
| `rounded`   | `bool` or `(bool, bool, bool, bool)`      | corners of images                   |
| `grid`      | `int` or `(int, int, int, int, int, int)` | grid for images                     |
| `height`    | `"auto"`                                  | height of gallery (auto or default) |
| `container` | `bool`                                    | show or hide the container box      |

## Chatbot

| name        | type                                 | description                                      |
| ----------- | ------------------------------------ | ------------------------------------------------ |
| `rounded`   | `bool` or `(bool, bool, bool, bool)` | corners of chat bubbles                          |
| `color_map` | `Dict[str, str]`                     | color map of user and bot color for chat bubbles |

## Model3D

| name      | type                                 | description         |
| --------- | ------------------------------------ | ------------------- |
| `rounded` | `bool` or `(bool, bool, bool, bool)` | corners of main box |

## Plot

Nothing (yet)

## Markdown

Nothing

## Button

| name         | type                                 | description                             |
| ------------ | ------------------------------------ | --------------------------------------- |
| `rounded`    | `bool` or `(bool, bool, bool, bool)` | corners of button                       |
| `border`     | `bool` or `(bool, bool, bool, bool)` | borders of button                       |
| `full_width` | `bool`                               | whether button expand to fill container |

## Dataset

Nothing

## Variable

Nothing
